Bug 70677 - Incomplete dependencies for Licq .rpm package?
Incomplete dependencies for Licq .rpm package?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: licq (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-03 15:54 EDT by Peter van Egdom
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 11:02:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for licq.spec (274 bytes, patch)
2002-08-25 07:01 EDT, djh
no flags Details | Diff

  None (edit)
Description Peter van Egdom 2002-08-03 15:54:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
I installed Limbo beta 2 from scratch on my machine and noticed that when I
start Licq I get the message :

/usr/lib/licq/licq-bin: option requires an argument -- p
21:42:21: [WRN] Licq: Ignoring stale lockfile (pid 2974)
21:42:21: [ERR] Unable to load plugin (qt-gui): /usr/lib/licq/licq_qt-gui.so:
cannot open shared object file: No such file or directory.

Although I did a custom install and added and removed a package here & there
during install, Anaconda did not complain about unsatisfied dependencies.

Could it be that the dependencies for licq-1.x.xx.rpm are not set up correctly?


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Start Licq by typing "licq"
2.
3.
	

Actual Results:  [ERR] Unable to load plugin (qt-gui):
/usr/lib/licq/licq_qt-gui.so:  cannot open shared object file:
No such file or directory.


Expected Results:  Licq should've started.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-08-06 10:02:05 EDT
Works here. By any chance, didn't you install any licq frontends? 
Comment 2 Peter van Egdom 2002-08-06 14:19:19 EDT
I installed just the 'main' licq rpm, as demonstrated below :

[root@limbo-pc root]# rpm -qa |grep -i licq
licq-1.1.0-2.cvs20020521.6

[root@limbo-pc root]# cat /etc/redhat-release
Red Hat Linux release 7.3.93 (Limbo)

I selected this RPM during a custom installation.

I expected Anaconda to complain about missing dependencies, but
Anaconda just installed this _without_ automatically selecting
"licq-qt-1.1.0-2.cvs20020521.6"

(
I quote the text of the output of 'rpm -qi licq-1.1.0-2.cvs20020521.6':
"Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set".
)

When I installed the "licq-qt-1.1.0-2.cvs20020521.6.rpm" licq works as
advertised.

To conclude, shouldn't this QT library be a required dependency for
LICQ, a lot of people won't be able to use LICQ if they don't select it.
Comment 3 djh 2002-08-25 06:59:43 EDT
The same thing is happening to me with a fresh installation of '(null)'.
After installing licq (via "up2date licq"), it fails to start.

$ licq
/usr/lib/licq/licq-bin: option requires an argument -- p
20:46:33: [ERR] Unable to load plugin (qt-gui): /usr/lib/licq/licq_qt-gui.so:
cannot open shared object file: No such file or directory.
$ rpm -qa | grep licq
licq-1.2.0a-2

I will attach the one-line patch that fixes this.
(perhaps it should suggest installing one of the frontend RPMs?)
Comment 4 djh 2002-08-25 07:01:23 EDT
Created attachment 72826 [details]
patch for licq.spec
Comment 5 Thomas Woerner 2003-01-20 11:02:26 EST
Fixed in rawhide in rpm licq-1.2.3-4 or later.

Note You need to log in before you can comment on or make changes to this bug.